package com.ssj.service.conch.parents.v2.dto;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author Mount Liu
 * @date 2019/12/26
 */
public class OwnServiceDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 服务名称
     */
    private String name;
    /**
     * 服务类型(1平台服务（家长购买），2校区服务，4平台服务（机构购买），999内部用户)
     */
    private int type;
    /**
     * 是否当前生效（0否，1是）
     */
    private int isValid;
    /**
     * 开始时间(yyyy.MM.dd)
     */
    private String beginDate;
    /**
     * 结束时间(yyyy.MM.dd)
     */
    private String endDate;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getIsValid() {
        return isValid;
    }

    public void setIsValid(int isValid) {
        this.isValid = isValid;
    }

    public String getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(String beginDate) {
        this.beginDate = beginDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }
}
